<?php
get_header();
?>
<body>
<div class="<?php journalized_width_class() ?>">
<div id="headerblock"><?php include('header-block.php'); ?></div> <!-- headerblock -->

<?php if (have_posts()) { ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
		
	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
		
	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="pagetitle">Search Results</h2>
		
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>

<?php while (have_posts()) { the_post(); ?>
<div class="centreblock">
  <h3 class="storytitle" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
  <div class="meta"> by <span class="storyauthor"><?php the_author() ?> </span> @ <?php the_time('l, F jS, Y') ?>.
    Filed under <?php the_category(', ') ?>
  </div> <!-- meta -->
  <div class="storycontent">
<?php the_excerpt(); ?>
  </div> <!-- story content -->

  <div class="storylinks">
    <div class="feedback">
      <?php comments_popup_link('[Comments (0)]', '[Comments (1)]', '[Comments (%)]'); ?>&nbsp;
    </div>
  </div> <!-- storylinks -->

</div> <!-- centreblock -->

<?php } // end foreach
?> 
<div class="navigation">
<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
<div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
</div>
<?php
} else { // end if any posts
?>
<div class="centreblock">
<p>Sorry, no posts matched your criteria.</p>
</div> <!-- centreblock -->
<?php } // end else no posts
?>

<p class="centerP">
  [powered by <a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform"><strong>WordPress</strong></a>.]
</p>
</div><!-- journalized_width_class() -->
<?php get_sidebar(); ?>

<?php get_footer(); ?>
</body>
</html>