<?php
/*
Copyright 2002, 2005, 2006 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<div id="cola" class="sidebar">
    <div class="sidebarsection">
      <?php echo journalized_col_a_quote(); ?>
    </div>

<?php if (journalized_intlinks_column() == 'A') { ?>
    <h4>internal links:</h4>
    <div class="sidebarsection">
      <ul>
        <li><a href="<?php echo get_settings('siteurl') ?>" title="Blog Home">Blog Home</a></li>
        <?php wp_register(); ?>
        <li><?php wp_loginout(); ?></li>
            <?php wp_list_pages('title_li='); ?>
      </ul>
    </div>
<?php } ?>

<?php if ((journalized_comments_column() == 'A')
         && function_exists('c2c_get_recent_comments')) { ?>
    <h4>recent comments</h4>
    <div class="sidebarsection">
    <ul>
      <?php c2c_get_recent_comments(5); ?>
    </ul>
    </div>
<?php } ?>

<?php if (journalized_categories_column() == 'A') { ?>
    <h4>categories:</h4>
    <div class="sidebarsection">
    <ul>
<?php list_cats(1, 'All', 'name', 'asc', '', 1, 0, 1, 1, 1); ?>
    </ul>
    </div>
<?php } ?>

<?php if (journalized_search_column() == 'A') { ?>
    <h4>search blog:</h4>
    <div class="sidebarsection">
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
    </div>
<?php } ?>

<?php if (journalized_calendar_column() == 'A') { ?>
    <h4>calendar:</h4>
    <div class="sidebarsection">
<?php get_calendar(); ?>
    </div>
<?php } ?>

<?php if (journalized_archives_column() == 'A') { ?>
    <h4>archives:</h4>
    <div class="sidebarsection">
      <ul>
<?php get_archives('monthly',6); ?>
      </ul>
    </div>
<?php } ?>

<?php if (journalized_links_column() == 'A') { ?>
    <ul class="linklist">
<?php get_links_list(); ?>
    </ul>
<?php } ?>

<?php if (journalized_other_column() == 'A') { ?>
    <h4>other:</h4>
    <div class="sidebarsection">
      <ul>
        <li><a href="<?php bloginfo('rss2_url'); ?>" title="Syndicate this site using RSS"><abbr title="Really Simple Syndication">RSS</abbr> 2.0</a></li>
        <li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="The latest comments to all posts in RSS">Comments <abbr title="Really Simple Syndication">RSS</abbr> 2.0</a></li>
        <li><a href="http://feeds.archive.org/validator/check?url=<?php bloginfo('rss2_url'); ?>" title="This feed validates as RSS.">Valid RSS</a></li>
        <li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
        <li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>

        <li>Journalized Theme copyright &copy; 2002&#8211;<?php echo date('Y'); ?> <a href="http://zed1.com/journalized/themes/">Mike Little</a>.</li>
      </ul>
    </div>
<?php } ?>

  </div> <!-- end left side -->
