<?php
/*
Copyright 2002, 2005, 2006 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?php
get_header();
?>
<body>
<div class="<?php journalized_width_class() ?>">
<div id="headerblock"><?php include('header-block.php'); ?></div> <!-- headerblock -->

<?php if (have_posts()) { while (have_posts()) { the_post(); ?>
<h2 class="storytitle" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
<div class="centreblock">
  <div class="meta"> by <span class="storyauthor"><?php the_author() ?> </span> @ <?php the_time() ?> on <?php the_date() ?>. <?php edit_post_link(); ?> 
  </div> <!-- meta -->
  <div class="storycontent">
<?php the_content(); ?>
  </div> <!-- story content -->

  <div class="storylinks">
    <div class="feedback">
      <?php wp_link_pages(); ?>
      <?php comments_popup_link('[Comments (0)]', '[Comments (1)]', '[Comments (%)]'); ?>&nbsp;
      [<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">link</a>]
    </div>
  </div> <!-- storylinks -->

    <!--
    <?php trackback_rdf(); ?>
    -->

<?php comments_template(); ?>
</div> <!-- centreblock -->

<?php } // end foreach
?>      
  <div class="navigation">
    <div class="alignleft"><?php previous_post('&laquo; %','','yes') ?></div>
    <div class="alignright"><?php next_post(' % &raquo;','','yes') ?></div>
  </div>
<?php
} else { // end if any posts
?>
<div class="centreblock">
<p>Sorry, no posts matched your criteria.</p>
</div> <!-- centreblock -->
<?php } // end else no posts
?>

<p class="centerP">
  [powered by <a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform"><strong>WordPress</strong></a>.]
</p>
</div><!-- journalized_width_class() -->
<?php get_sidebar(); ?>

<?php get_footer(); ?>
</body>
</html>